%define upstream_name    Search-Xapian
%define upstream_version 1.2.25.5

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
Summary:    Xapian perl bindings

Group:      Development/Perl
License:    GPL+ or Artistic
Url:        https://metacpan.org/module/Search::Xapian
Source0:    http://cpan.netnitco.net/authors/id/O/OL/OLLY/Search-Xapian-%{version}.tar.gz

BuildRequires: perl(Devel::Leak)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: pkgconfig(xapian-core)
%{?perl_default_filter}
BuildRequires: perl-devel
%description
Perl XS frontend to the Xapian C++ search library.

%prep
%setup -q -n Search-Xapian-%{version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%install
%make_install

%check
make test

%files
%doc Changes META.json META.yml MYMETA.yml README XS examples
%{perl_vendorarch}/*
%{_mandir}/man3/*.3*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 1.2.25.5-6.mga10
+ Revision: 2088212
- Rebuild against new perl

* Thu Nov 30 2023 tv <tv> 1.2.25.5-5.mga10
+ Revision: 2011854
- Rebuild for perl-5.38

* Thu Nov 30 2023 tv <tv> 1.2.25.5-4.mga10
+ Revision: 2011608
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.2.25.5-3.mga9
+ Revision: 1862398
- Rebuild for Perl 5.36

* Wed Mar 30 2022 umeabot <umeabot> 1.2.25.5-2.mga9
+ Revision: 1834378
- Mageia 9 Mass Rebuild

* Fri Mar 04 2022 tv <tv> 1.2.25.5-1.mga9
+ Revision: 1788435
- update to 1.2.25.5

* Mon May 24 2021 umeabot <umeabot> 1.2.25.4-2.mga9
+ Revision: 1727064
- Rebuild for perl 5.34

* Fri Nov 20 2020 tv <tv> 1.2.25.4-1.mga8
+ Revision: 1647857
- update to 1.2.25.4

* Wed Jun 17 2020 umeabot <umeabot> 1.2.25.2-4.mga8
+ Revision: 1595156
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.2.25.2-3.mga8
+ Revision: 1530098
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.2.25.2-2.mga8
+ Revision: 1433893
- rebuild for perl 5.30

* Wed Oct 17 2018 shlomif <shlomif> 1.2.25.2-1.mga7
+ Revision: 1321477
- update to 1.2.25.2

* Fri Sep 21 2018 umeabot <umeabot> 1.2.25.1-2.mga7
+ Revision: 1293752
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 1.2.25.1-1.mga7
+ Revision: 1253998
- update to 1.2.25.1

* Wed Aug 08 2018 pterjan <pterjan> 1.2.25.0-4.mga7
+ Revision: 1250119
- Rebuild for perl 5.28

* Tue Apr 17 2018 daviddavid <daviddavid> 1.2.25.0-3.mga7
+ Revision: 1219582
- rebuild for new xapian 1.4.5

* Tue Oct 03 2017 tv <tv> 1.2.25.0-2.mga7
+ Revision: 1166444
- rebuild with fixed rpm for missing autodeps

* Fri Sep 29 2017 tv <tv> 1.2.25.0-1.mga7
+ Revision: 1161493
- update to 1.2.25.0

* Thu Aug 31 2017 pterjan <pterjan> 1.2.24.0-2.mga7
+ Revision: 1149925
- Rebuild for perl ABI changes

* Sun Jul 30 2017 sander85 <sander85> 1.2.24.0-1.mga7
+ Revision: 1132749
- update to 1.2.24.0

* Sat Jul 22 2017 neoclust <neoclust> 1.2.23.0-3.mga7
+ Revision: 1127659
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.2.23.0-2.mga6
+ Revision: 1033025
- Rebuild for perl 5.22.2

* Fri Apr 08 2016 shlomif <shlomif> 1.2.23.0-1.mga6
+ Revision: 999528
- update to 1.2.23.0

* Thu Mar 24 2016 shlomif <shlomif> 1.2.22.0-1.mga6
+ Revision: 994883
- update to 1.2.22.0

* Fri Feb 12 2016 umeabot <umeabot> 1.2.21.0-3.mga6
+ Revision: 957953
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.2.21.0-2.mga6
+ Revision: 845242
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 1.2.21.0-1.mga6
+ Revision: 841719
- update to 1.2.21.0

* Wed Oct 15 2014 umeabot <umeabot> 1.2.18.0-4.mga5
+ Revision: 750744
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.2.18.0-3.mga5
+ Revision: 733373
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.2.18.0-2.mga5
+ Revision: 686184
- Mageia 5 Mass Rebuild

* Tue Jun 24 2014 sander85 <sander85> 1.2.18.0-1.mga5
+ Revision: 639237
- update to 1.2.18.0

* Tue Jun 03 2014 pterjan <pterjan> 1.2.17.0-2.mga5
+ Revision: 631663
- Rebuild for perl 5.20

* Mon Feb 17 2014 jquelin <jquelin> 1.2.17.0-1.mga5
+ Revision: 593783
- update to 1.2.17.0

* Tue Feb 04 2014 shlomif <shlomif> 1.2.16.0-1.mga5
+ Revision: 581308
- update to 1.2.16.0

* Sat Oct 19 2013 umeabot <umeabot> 1.2.15.0-2.mga4
+ Revision: 525151
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 1.2.15.0-1.mga4
+ Revision: 432416
- New version 1.2.15.0

* Wed May 29 2013 jquelin <jquelin> 1.2.10.0-3.mga4
+ Revision: 431742
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2.10.0-2.mga3
+ Revision: 372560
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 1.2.10.0-1.mga3
+ Revision: 330314
- New version: 1.2.10.0

* Wed Nov 28 2012 shlomif <shlomif> 1.0.20.0-1.mga3
+ Revision: 322572
- Add perl-devel missing dependency
- mkrel
- Defodoraization cleanups.
- Importing perl-Search-Xapian based on Fedora RawHide

